#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lynx
Version		:	2.8.9rel.1
Release		:	17.2.0.rel%{?dist}
Summary		:	A text-based Web browser

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://lynx.browser.org/
			#https://invisible-mirror.net/archives/lynx/tarballs/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	inetutils
BuildRequires	:	ncurses-devel
BuildRequires	:	openssl-devel
BuildRequires	:	unzip
BuildRequires	:	zlib-devel

#-----------------------------------------------------------------------------
%description
Lynx is a text-based Web browser. Lynx does not display
any images, but it does support frames, tables, and
most other HTML tags. One advantage Lynx has over
graphical browsers is speed; Lynx starts and exits
quickly and swiftly displays web pages.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
%license COPYING
%doc docs README INSTALLATION samples
%doc test %{name}.hlp %{name}_help
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.cfg
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.lss
%{_bindir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/%{name}_doc/*
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q -n %{name}%{version}

#-----------------------------------------------------------------------------
#building application
%build
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}/%{name}		\
	--libdir=%{_libdir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-zlib					\
	--with-bzlib					\
	--with-ssl					\
	--with-screen=ncursesw				\
	--enable-cjk					\
	--enable-charset-choice 			\
	--enable-externs				\
	--enable-file-upload 				\
	--enable-kbd-layout 				\
	--enable-ipv6	 				\
	--enable-locale-charset				\
	--enable-nsl					\
	--enable-nsl-fork				\
	--enable-warnings				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install-full

sed -i							\
  -e '/#LOCALE/     a LOCALE_CHARSET:TRUE' 		\
  -e '/#DEFAULT_ED/ a DEFAULT_EDITOR:vi' 		\
  -e '/#PERSIST/    a PERSISTENT_COOKIES:TRUE'		\
  %{buildroot}/%{_sysconfdir}/%{name}/%{name}.cfg

#-----------------------------------------------------------------------------
%changelog
